5146 comments

olevy PURCHASED
Hi,
We are using the angular 4 version and we are having the following problem:
When we run the tests (ng test), there is a require in typings.d.ts that generates this error:

>ng test
/src/app/core/themes/themes.service.ts (3,16): Cannot find name 'require'.

We commented it but it is need in: themes.service.ts:
const themeA = require('../../shared/styles/themes/theme-a.scss'); ......

How can we resolve it?

Thanks
Regards
olevy PURCHASED
The error message was really:
/src/typings.d.ts (7,15): Cannot redeclare block-scoped variable 'require'.

The message:
/src/app/core/themes/themes.service.ts (3,16): Cannot find name 'require'.
Appeared when we commented the "require"
Hi, please try the following and let us know if problem persists:
- Open file src/typings.d.ts
- Remove/comment line
declare const require: any;
- Check that in file src/tsconfig.spec.json you have "node" included in entry "types".
- Do the same for src/tsconfig.app.json

Anyway, we don't see that message while running "ng test" but usually it's related with node typings.

Regards
olevy PURCHASED
Hi, thanks for the advice.
We commented it and it works, but when we run test the ThemesService (use require) seems not to work properly:
Test result:
Component: Layout should create an instance
Failed: No provider for ThemesService!

Thanks
Regards
Hi, no luck replicating this issue. Do you have installed globally @angular/cli v1.0.0?
No provider for ThemesService! is related with that service is not added to the providers list in the spec files that is being tested. But the weird thing is that if you look at the layout.component.spec.ts it only creates an instance but never tries to use the themeservice.
Btw, the themesservice has its own spec file that is including it as a provider.
Hi, I want to know which version of meteor did you use and which router (iron-router or flow-router) ?

Thanks in advance.
Hi, meteor version used is 1.4.4.2 with iron-router

Let us know if you have any question.
Regards
Hi,
I found a problem in angular 2 seed project.
The modal content always show behind the backdrop even force to change z-index in css.
Any solutions for this problem?

Thanks in advance.
I got this solution few weeks ago:

Hi, please try the following approach, this solution was reported by another user but recently we have tested it and it seems to be working fine:

1- Edit file src/app/shared/styles/app/animate.scss
2- Change the css used for animation to the following, note that the "not" selector was removed and it has different rules for animation:

app-layout router-outlet + * {
display: block;
-webkit-animation-duration: 1s;
animation-duration: 1s;
-webkit-animation-fill-mode: backwards;
animation-fill-mode: backwards;
@extend .fadeIn;
}

3- Save and reload the page.

Let us know if you have any question
Regards
Hi @daylenlim, solution posted by @dimasavila is the one we have used for next release.
Please apply the changes and let us know if problem persists.

Thanks,
Regards
Problem Solved !
Really save my day. Thank you so much,
Hi

Using the netcore/angular project - how do you disable HMR for things such as user acceptance testing? So that you don't get the constant GET errors in console?

Thanks
Hi, HMR is enabled in file Startup.cs (UseWebpackDevMiddleware), and it's only used when environment IsDevelopment so you can try changing that before delivering the site for UAT.
Properties/launchSettings.json contains profiles that you can configure with different environments.
More info: https://docs.microsoft.com/en-us/aspnet/core/fundamentals/environments

Regards
Hello we purchased your template and the jquery-classyloader is no longer available. Do you have a fix for this?
Hi, what project are you using (angular, jquery, mvc, etc)?
Also, could you check what version of the template are you using?

Thanks
Regards
Hi, I want to use only jquery bootstrap, what folder should i use? backend-jquery or backen-jquery-seed.
Also inside these folders there are subfolder called app,master and vendor. I am confusing about what files put in my fresh laravel 5.5 project.
Please I need some help.
Thanks!
Hi, main difference between backend-jquery or backen-jquery-seed. is that the seed only has one or two router and a few dependencies. The purpose of the seed project is to provide a starter project where you can go adding more features progressively. In other words, if you use the full project, you can customize it by removing features, if using the seed, you can customize it by adding features. It's mainly a personal choice of how you prefer to work.
If you plan to integrate into a Laravel project you can start with the seed version, it has a few features and will more simple to understand and migrated, then once you have it migrated, you can add more features manually according to your needs.

Regards
Leohige PURCHASED
I am trying to run this theme with rails, but in no way works, is missing several dependencies.
Hi, have you installed bower dependencies? You can do that with command:
> rake bower:install
Then you should be able to run "rails s" to start the development server

Regards
Hi, good job with this template!
I am just confusing with a couple of things, for example the way you implemented the sidebar menu.
There is typescript file called menu.ts, where you can introduce new tabs. But can you can not use translations following this approach. Am I right? Otherwise, how would you do it?

Thanks in advance!
Hi, sorry for the delay. The menu.ts contains the setup for sidebar structure. The translate is supported by using a "translate" in the menu definition.
If you take a look at the sidebar.component.html you will see parts that uses the translate like this

<span>{{(item.translate | translate) || item.text}}</span>

Which means that it allows to use the translate entry if present, otherwise it will use as default the text entry.

And in menu.ts the "translate" entry must contain the key used in the json files for translation

Let us know if you have any question
Regards
Hi,

When can I expect the next update? why is it taking so long?
Hi, the new package is uploading, you should receive an email from Wrapbootstrap when is ready for download.
In case you don't receive it in the following hours, please use the download resender: https://wrapbootstrap.com/support/download-resender

Let us know if you have any question

Sorry for the delay and thanks for your patience.
Regards
That's a bullet speed turn over... Thanks a lot..

In AngularJS application the data is controlled via the controller and you pretty much covered all the topics. It's like a complete guide for beginners as well as profs to play around. But in react application every data is hardcoded rather than getting from props, data from a separate folder(server) etc.. It is no way helping me in learning React. Please, can you implement the react+redux application in upcoming updates to helps us understand most of the concepts?
Hi, thanks for the feedback! For the moment we don't have plans to integrate Redux in the short time but since we are planning a small refactor of the React project to improve the points you mentioned, we will try to include Redux if possible for the following updates. At the time when we released the project not all features were available as react native modules but nowadays most of the them can be installed as react component so that why we decide to perform this changes.

Thanks again
Regards
J4N PURCHASED
Is there a "rating" control with stars that you can hover and click?
Hi, there are rating plugins part of the uiBootstrap and ngx-bootstrap, both for angualr 1.x and angular 4 respectively. For jQuery based project we don't have that feature. Anyway, something like rateYo could be installed, you can check it here: http://rateyo.fundoocode.ninja/#installation

Let us know if you have any question
Regards
hatalov PURCHASED
Are there collapse components, or do I have to use the default bootstrap collapse?
Hi, collapse components are only the provided by Bootstrap

Let us know if you have any question
Regards
Hi, first of all a big thank for your effort.

I just downloaded the 3.8 version but i am confused about the mvc5-angularjs version and its documentation... i think it is not ok.

For instance, documentation show (This project is organized using the following structure)

+--Angle
+--App_Data
+--App_Start
+--bin
+--Content
| +--app
+--Controllers
+--fonts
+--i18n
+--Images
+--Models
+--obj
+--Properties
+--Scripts
| +--app
| +--modules
+--Server
+--Sidebar
+--Vendor
+--Views
+--App
+--Shared
| +--Partials
+--SingleView
+---App
+---Blog
+---Charts
+---Dashboard
+---Documentation
+---Ecommerce
+---Elements

But the folder structure is different into Views

+--Angle
+--App_Data
+--App_Start
+--bin
+--Content
| +--app
+--Controllers
+--fonts
+--i18n
+--Images
+--Models
+--obj
+--Properties
+--Scripts
| +--app
| +--modules
+--Server
+--Sidebar
+--Vendor
+--Views
+--App
+--Blog
+--Charts
+--Dashboard
+--Documentation
+--Ecommerce
+--Elements
+--Shared
| +--Partials
+--SingleView

Furthermore, tables don't show copy, csv and print options
Hi, thanks for the feedback!
Documentation was not update because we haven't changed the project itself, but only the VS version, so it should not be any big difference in the way you are using the project.
About the structure you mentioned, the difference we see is that in the docs the "App" folder is duplicated but one of them actually corresponds to the "Account" folder.
Anyway, we will review the documentation to fix typo due to the outdated content.

Regarding to table features, you can check the demo here fo mvc5+angular project, at the bottom you will see the copy, csv and print options
http://themicon-001-site4.atempurl.com/#!/table-datatable

Let us know if you have any question

Thanks again
Regards
Hi, do you have any plan to update the .jade template to .pug?
Hi, yes we have in plans to change jade extensions and compiler to pug. Angular 1.x project is currently using jade extension with pug compiler but jquery project are still using jade compiler.
Actually, this change was part of the last update but since it was delayed we decided to move this minor tasks for future update and focus on more important changes.

Let us know if you have any question
Regards
Hi,

how can i wrap to long text in sidebar li?
Hi, please try the following css

.sidebar>.nav>li>a>span {
white-space: pre-line;
}

You can use more rules like text-overflow combined with others to customize how text is displayed

Let us know if you have any question
Regards
Hello,

I am using netcore/angular version of your project. I am trying to run some user testing on localhost and have configured the website to be able to be hit externally (while on the company intranet). Problem I am having is that if I make a change to typescript code it does not pick up this change when using command 'dotnet run --urls http://*:44359' but picks up changes to netcore controller code.

Its weird because if I run the app using localhost:[port] it will pick up the typescript change. So difference is say I make a change to home.component.ts and run app as localhost by clicking Run button in VS it will get the change but if I run the app using the other ip such as http://*:[port] it will not pick up the change.

Sorry if confusing but hope you can make some sense of this... I tried changing the App Url to my ip in project properties and clicking Run but this is the same behavior as 'dotnet run --urls...'.

Only way it picks up the change is changing the port completely and I can't be doing this constantly while in testing.

Anywhere else I have to change localhost to something else in the project?

Thanks
Hi

I just cleared web data/local registry cache and restarted computer and looks to have picked up the proper file now.

Any good reads on webpack you can recommend in regards this project so I can get a better understanding of how stuff is bundled/transcribed to js?

Cheers
Hi, based on you description it seems the issue is more related to how the application is served than compiled, when you change the localhost to ip:port address the browser uses a sees a different hostname which uses different cache and site data, but it is not certain whether we fully understand the situation.
From our experience, webpack doesn't have problem with compiled code, meaning, it's like it always build the entire bundle, anyway we are not experts on webpack internals.
Another suggestion, which is how we works, by having the Chrome devtool open with the "Disabled cache" flag turned on you can ensure the site is never taken from cache, this way chrome should ignore any cache information and perform all requests every time the site is reloaded.
Alternatively, since it could be an issue with IIS cache, you can try deleting the site, we haven't tried this before but could be more simple running a command than editing a file every time (just an idea)
Here is some the information for that: https://gyorgybalassy.wordpress.com/2013/12/02/cleaning-up-iis-express-configuration/

Let us know if you have any question.
Regards
Hi, nice work, I have downloaded the latest version, but there is no documentation(page is blank) could you please provide documentation for angular2 cli and Asp.net core integration.
Thanks
Hi, documentation for the netcore-angular4 can be found under folder documentation/netcore-angular2
It needs to be updated to the right vs version (2017 instead of 2015) but the structure and usage was not changed from previous version.
If page is blank please try with another browser or let us know and we will send you the file again, maybe it was some problem with the package downloaded.

Regards
Hi, do you have any plan to update this with bootstrap 4?
Hi, we have in plans an update to Bootstrap 4 but right now we don't have an ETA.

Thanks
Regards
Hi, scroll bar is not showing in the left navigation Menu, when expanded.I am using Angular2 -cli source.
please provide me the fix.
Thanks
Hi, scrollbar is not visible by design on this template. Actually it exists but it's hidden.
Anyway, you can enable the scrollbar, go the the right top button to open the right sidebar (offsidebar) and enable option "Show Scrollbar"
To set this by default, in file src/app/core/settings/settings.service.ts you can set to "true" the peorperty "asideScrollbar"

Regards
Hi, I just downloaded version 3.8 and read the React changelog:
- React: Moved dependency manager from Bower to NPM...
It seems that the documentation is not up to date since it still mentions Bower, but i'm guessing it's enough to run 'npm install' and then just 'npm run start' to get it going? when i do this i get this error on the console (also the React Live-Preview of your projects won't load):

jquery.ui.touch-punch.min.js?d7d0:14 Uncaught TypeError: Cannot read property 'mouse' of undefined
at eval (jquery.ui.touch-punch.min.js?d7d0:14)
at Object.eval (jquery.ui.touch-punch.min.js?d7d0:14)
at eval (403:16)
at Object.<anonymous> (vendor7dcbf0.js:2310)
at __webpack_require__ (vendor7dcbf0.js:704)
at fn (vendor7dcbf0.js:117)
at Object.eval (Vendor.jsx?a1f6:30)
at Object.eval (Vendor.jsx?a1f6:147)
at eval (350:277)
at Object.<anonymous> (vendor7dcbf0.js:1992)
(anonymous) @ jquery.ui.touch-punch.min.js?d7d0:14
(anonymous) @ jquery.ui.touch-punch.min.js?d7d0:14
(anonymous) @ 403:16
(anonymous) @ vendor7dcbf0.js:2310
__webpack_require__ @ vendor7dcbf0.js:704
fn @ vendor7dcbf0.js:117
(anonymous) @ Vendor.jsx?a1f6:30
(anonymous) @ Vendor.jsx?a1f6:147
(anonymous) @ 350:277
(anonymous) @ vendor7dcbf0.js:1992
__webpack_require__ @ vendor7dcbf0.js:704
fn @ vendor7dcbf0.js:117
(anonymous) @ vendor7dcbf0.js:1697
__webpack_require__ @ vendor7dcbf0.js:704
(anonymous) @ vendor7dcbf0.js:802
(anonymous) @ vendor7dcbf0.js:805
localize.js?693d:14 Uncaught TypeError: Cannot read property 'get' of undefined
at exports.default (localize.js?693d:14)
at Object.eval (App.jsx?650d:26)
at Object.eval (App.jsx?650d:39)
at eval (499:71)
at Object.<anonymous> (app.js:1476)
at __webpack_require__ (vendor7dcbf0.js:704)
at fn (vendor7dcbf0.js:117)
at Object.<anonymous> (app.js:1469)
at __webpack_require__ (vendor7dcbf0.js:704)
at webpackJsonpCallback (vendor7dcbf0.js:26)
Hi, sorry for the outdated docs, looks like we forgot to update the file in last release. Anyway, we haven't changed much more than the dependency manager and to make sure we have checked again from scratch and running "npm install" and then "npm run start" the project started and worked correctly.
Demo is also working fine. We can think an issue with cache (you can try with anonymous mode)
The project you are checking is the same from v3.8 or does it have any customization? We might be missing something to check that triggers that error message.

Regards
still not working, if you go to http://themicon.co/theme/angle/v3.8/reactjs/ is that working for you?
Hi, yes, it's working fine. What browser os are you using? Maybe we're missing out on something.
Just in case, try opening the site using anonymous mode in your browser to see if it's a problem with cache (weird but possible).

Regards
I'm using Angular Material and I have to upgrade the ngTable to version 3.0.1. I do this making all the changes and work very well...but don't show the header section of my tables.

I try to change the directive data-title to title but the same result...header don't appear.
Hi, ng-table changed the structure and usage in last version and becomes like a different pluign, that's why only an update to the version won't work.
We will update this, to last version which is 4.0.0 and will back to you with update instructions and example.
Please let us know if you need specific version 3.0.1.

Thanks
Regards
Hi, we tried to implement the last version of ng-table but found many issue. In first, we haven't notice it doesn't support bower any more, so only way to use correctly the plugin is via webpack, something that is not supported in the current setup of the project.
As an alternative, we found that you can run
> bower install ng-table-bundle@3.0.1 --save
And then change reference to ng-table files like follow in vendor.json
"bower_components/ng-table-bundle/ng-table.min.js",
"bower_components/ng-table-bundle/ng-table.min.css",
Then, change the same in lazy load setup master/js/modules/lazyload/lazyload.constants.js
{name: 'ngTable', files: ['vendor/ng-table-bundle/ng-table.min.js',
'vendor/ng-table-bundle/ng-table.min.css']},

This allow to include the plugins files using bower. After trying to run a basic demo with the new code we found many issue, related with missing template files and the lack of documentation and demo not working make us impossible to provide a guide to use this correctly. We suggest to navigate the issue on its repo on github to find how to setup the new version correctly. For the moment we don't have in mind to upgrade the version at least until we move the project to webpack which at the same time is not our priority list for angular 1.x based projects.

Hope this helps
Regards

Write a comment

This is a great way to give the seller feedback and ask them questions about their item.

You must sign in to write a comment

Sign in or sign up to make a purchase

$24
11108Purchases

Licenses: Details »

Single application $24
Version:3.8.2
Type:
  • HTML Template
Bootstrap: Compatible with 3.3.x
Layouts:
  • Responsive
  • Fluid
  • Fixed-width
Browsers:
  • IE 9, 10, 11
  • Latest Chrome
  • Latest Edge
  • Latest Firefox
  • Latest Safari
Uses Less:Yes
Uses Sass:Yes
Categories:
Tags: admin, admin template, angularjs, material, meanjs, meteor, mvc, rails, responsive, rtl
Item#:WB04HF123
Released:3 years ago
Updated:2 weeks ago
Sold exclusively on WrapBootstrap
themicon

themicon

Signed up 3 years ago

Need a front-end theme?

About Bootstrap

Bootstrap is designed to help people of all skill levels – designer or developer, huge nerd or early beginner. Use it as a complete kit or use it to start something more complex.

Unlike other front-end toolkits, Bootstrap was designed first and foremost as a styleguide to document not only its features, but best practices and living, coded examples.

Built to support new HTML5 elements and syntax with progressively enhanced components.

Browser support

Bootstrap is tested and supported in major modern browsers like Chrome, Firefox, and Internet Explorer.

Tested and supported in Chrome, Safari, Firefox, Internet Explorer, and Opera.
  • Latest Chrome
  • Latest Firefox
  • Latest Safari
  • Latest Edge
  • Internet Explorer 9/10/11
  • Latest Opera

Features & includes

Bootstrap provides an unparalleled array of features and reusable components that let you hit the ground running: